Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SpaceTime.DataModel.VendorOrders
Interface OrdersManager

    public interface OrdersManager

The controller class for managing orders. Provides lookup and modification functionality. Passed by reference.

Method Summary
`void` | `AddCancellation(OrderChange oc)` Add new cancellation
`long` | `AddDerivedOrder(Order o, long multiorderId)` Add order derived from the multiorder
`void` | `AddModification(OrderChange oc)` Add new modification
`void` | `AddMultiorder(MultiOrder multiorder)` Add new multiorder to the system
`long` | `AddOrder(Order o)` Add order
`void` | `AddPlacement(OrderChange oc)` Add new placement
`void` | `AddPreOrder(PreOrder po)` Add new preorder
`OrderBase` | `CancellationAt(long index)` Returns cancellation at specified index
`long` | `CancellationsCount()` Cancellations count
`MultiOrder` | `CreateMultiorder(java.lang.String eventId, java.lang.String vendorId, java.lang.String itemId, int cost, java.lang.String roomId, long startTime, int duration)` Factory method for multiorder creation
`OrderChange` | `CreateOrderChange(double utility, OrderBase oldOrder, OrderBase newOrder)` Factory method for OrderChange creation
`long[]` | `GetAllConfirmedOrderIds()` Get the list of all confirmed order ids
`long[]` | `GetAllMultiorderIds()` Get the list of multiorder ids
`long[]` | `GetAllOrderIds()` Get the list of all order ids
`Order` | `GetConfirmedOrder(long id)` Get confirmed order
`MultiOrder` | `GetMultiorder(long id)` Multiorder at the specified index
`Order` | `GetOrder(long id)` Get order
`OrderBase` | `ModificationAt(long index)` Returns the the order modification at the specified index
`long` | `ModificationsCount()` Modification count
`OrderBase` | `PlacementAt(long index)` Returns placement at specified index
`long` | `PlacementsCount()` Placements count
`PreOrder` | `PreOrderAt(long index)` Returns pre order at specified index
`long` | `PreOrdersCount()` Preorders count
`void` | `RemoveMultiorder(long id)` Remove multiorder with the specified index

Method Detail

### PreOrdersCount

    long PreOrdersCount()

  Preorders count

### PreOrderAt

    PreOrder PreOrderAt(long index)

  Returns pre order at specified index

### AddPreOrder

    void AddPreOrder(PreOrder po)

  Add new preorder

### AddOrder

    long AddOrder(Order o)

  Add order

  Parameters:
    `o` -
  Returns:
    id assigned to added order

### AddDerivedOrder

    long AddDerivedOrder(Order o,
                         long multiorderId)

  Add order derived from the multiorder

  Parameters:
    `o` -
    `multiorderId` - - id of the source multiorder
  Returns:

### GetAllOrderIds

    long[] GetAllOrderIds()

  Get the list of all order ids

  Returns:

### GetOrder

    Order GetOrder(long id)

  Get order

### GetAllConfirmedOrderIds

    long[] GetAllConfirmedOrderIds()

  Get the list of all confirmed order ids

  Returns:

### GetConfirmedOrder

    Order GetConfirmedOrder(long id)

  Get confirmed order

### PlacementsCount

    long PlacementsCount()

  Placements count

### AddPlacement

    void AddPlacement(OrderChange oc)

  Add new placement

  Parameters:
    `oc` -

### PlacementAt

    OrderBase PlacementAt(long index)

  Returns placement at specified index

### CancellationsCount

    long CancellationsCount()

  Cancellations count

### AddCancellation

    void AddCancellation(OrderChange oc)

  Add new cancellation

  Parameters:
    `oc` -

### CancellationAt

    OrderBase CancellationAt(long index)

  Returns cancellation at specified index

### ModificationsCount

    long ModificationsCount()

  Modification count

### AddModification

    void AddModification(OrderChange oc)

  Add new modification

  Parameters:
    `oc` -

### ModificationAt

    OrderBase ModificationAt(long index)

  Returns the the order modification at the specified index

### GetAllMultiorderIds

    long[] GetAllMultiorderIds()

  Get the list of multiorder ids

  Returns:

### GetMultiorder

    MultiOrder GetMultiorder(long id)

  Multiorder at the specified index

  Parameters:
    `id` -
  Returns:

### RemoveMultiorder

    void RemoveMultiorder(long id)

  Remove multiorder with the specified index

  Parameters:
    `id` -

### CreateMultiorder

    MultiOrder CreateMultiorder(java.lang.String eventId,
                                java.lang.String vendorId,
                                java.lang.String itemId,
                                int cost,
                                java.lang.String roomId,
                                long startTime,
                                int duration)

  Factory method for multiorder creation

  Parameters:
    `eventId` -
    `vendorId` -
    `itemId` -
    `cost` -
    `roomId` -
    `startTime` -
    `duration` -
  Returns:

### AddMultiorder

    void AddMultiorder(MultiOrder multiorder)

  Add new multiorder to the system

  Parameters:
    `multiorder` -

### CreateOrderChange

    OrderChange CreateOrderChange(double utility,
                                  OrderBase oldOrder,
                                  OrderBase newOrder)

  Factory method for OrderChange creation

  Parameters:
    `utility` -
    `oldOrder` -
    `newOrder` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD